// mfctesthweDlg.h : header file
//

#if !defined(AFX_MFCTESTHWEDLG_H__6AB5B4BD_3287_4D30_B11A_9AE519B6660E__INCLUDED_)
#define AFX_MFCTESTHWEDLG_H__6AB5B4BD_3287_4D30_B11A_9AE519B6660E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "vso_hwe.h"
#include "afxwin.h"


/////////////////////////////////////////////////////////////////////////////
// CMfctesthweDlg dialog

class CMfctesthweDlg : public CDialog
{
// Construction
public:
	void EnumDevices();
	ULONG m_MainThreadId;
	char* SimpleDvdSpeed(int valuekbps, char* result);
	void RefreshSpeedList();
	bool m_WriteInProgress;
	void NotifyBurnProgress(int Progress);
	void NotifyFinalizeProgress(int Progress);
	void NotifyFormatProgress(int Progress);
	void NotifyEraseProgress(int Progress);
	void BurnFinished(int Status);
	void AcceptedDisc(int mcc);
	void RejectedDisc(int rcc);
	void clearBurnProgressIntf();
	int m_nWriterCount;
	IVSOBurningSDKProgress *m_BurnProgress;

	HWEHANDLE m_Hwe;
	// PHweInputStreamContext m_SCtx;
	unsigned char m_AbortRequested;
	CMfctesthweDlg(CWnd* pParent = NULL);	// standard constructor
	~CMfctesthweDlg();


// Dialog Data
	//{{AFX_DATA(CMfctesthweDlg)
	enum { IDD = IDD_MFCTESTHWE_DIALOG };
	CButton	m_BtStartStream;
	CButton	m_BtWriteIso;
	CComboBox	m_SpeedList;
	CButton	m_BtCloseTray;
	CButton	m_BtOpenTray;
	CButton	m_BtAbort;
	CButton	m_BtStart;
	CComboBox	m_DriveList;
	CListBox	m_List;
	CProgressCtrl	m_Progress;
	CString	m_Status;
	BOOL	m_PollMedia;
	int		m_Write_Affinity;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMfctesthweDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	virtual BOOL OnWndMsg( UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult );

	// Generated message map functions
	//{{AFX_MSG(CMfctesthweDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSelchangeCbdrive();
	afx_msg void OnStartwriting();
	afx_msg void OnAbortwriting();
	afx_msg void OnClose();
	afx_msg void OnBtopentray();
	afx_msg void OnBtclosetray();
	afx_msg void Onwriteiso();
	afx_msg void OnStartwritingstream();
	afx_msg void OnPollmedia();
	afx_msg void OnSendstats();
	afx_msg void OnSelchangeCbwriteaffinity();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	BOOL m_DontEjectAtCompletion;
	afx_msg void OnBnClickedDonteject();
	afx_msg void OnBnClickedCwritedata();
	// Update all the form's control disable state during or outside write operation
	void UpdateButtons(bool Allowed);
	CButton m_WriteData;
	CButton m_WriteBDV;
	afx_msg void OnBnClickedCwritebdv();
	afx_msg void OnBnClickedCsetisopath();
	CButton btn_strictmediacheck;
	BOOL m_StrictMediaCheck;
	afx_msg void OnBnClickedLogdiscdetection();
	BOOL m_LogDiscDetection;
	BOOL m_DataCallback;
	afx_msg void OnBnClickedDataCallback();
	BOOL m_RealtimeSpeed;
	afx_msg void OnBnClickedCkinstantspeed();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MFCTESTHWEDLG_H__6AB5B4BD_3287_4D30_B11A_9AE519B6660E__INCLUDED_)
