// mfctesthweDlg.cpp : implementation file
//

#include "stdafx.h"
#include "mfctesthwe.h"
#include "mfctesthweDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

#define assert ASSERT

#define WM_SEND_LOG WM_USER + 127
// Global variables, pointers to DLL exposed functions

    PFNHwe_Init Hwe_Init = NULL;
    PFNHwe_Free Hwe_Free = NULL;
    PFNHwe_GetDvdWritersCount Hwe_GetDvdWritersCount = NULL;
    PFNHwe_GetDvdWriterName Hwe_GetDvdWriterName = NULL;
    PFNHwe_GetDeviceName Hwe_GetDeviceName = NULL;
    PFNHwe_GetMediaStatus Hwe_GetMediaStatus = NULL;
    PFNHwe_GetWriteStatus Hwe_GetWriteStatus = NULL;
    PFNHwe_GetMediaType Hwe_GetMediaType = NULL;
    PFNHwe_SetWriter Hwe_SetWriter = NULL;
    PFNHwe_StartWriting Hwe_StartWriting = NULL;
    PFNHwe_StartWriting Hwe_StartDataWriting = NULL;
    PFNHwe_RegisterCallback Hwe_RegisterCallback = NULL;
    PFNHwe_AbortWrite Hwe_AbortWrite = NULL;
    PFNHwe_SetMediaToRom Hwe_SetMediaToRom = NULL;
    PFNHwe_GetWriterMode Hwe_GetWriterMode = NULL;
    PFNHwe_SetWriterMode Hwe_SetWriterMode = NULL;
	PFNHwe_CloseTray Hwe_CloseTray = NULL;
	PFNHwe_OpenTray Hwe_OpenTray = NULL;
	PFNHwe_GetLayerStatus  Hwe_GetLayerStatus = NULL;
	PFNHwe_SetLogFile Hwe_SetLogFile = NULL;
	PFNHwe_EmptyMediaSize Hwe_EmptyMediaSize = NULL;
	PFNHwe_SendKey Hwe_SendKey = NULL;
	PFNHwe_GetDriveStatus Hwe_GetDriveStatus = NULL;
	PFNHwe_GetWriteSpeeds Hwe_GetWriteSpeeds = NULL;
	PFNHwe_GetMediaWriteSpeeds Hwe_GetMediaWriteSpeeds = NULL;
	PFNHwe_SetWriteSpeed Hwe_SetWriteSpeed = NULL;
	PFNHwe_StartIsoWriting Hwe_StartIsoWriting = NULL;
//	PFNHwe_StartStreamWriting Hwe_StartStreamWriting = NULL;
	PFNHwe_GetEnablePolling Hwe_GetEnablePolling = NULL;
	PFNHwe_SetEnablePolling Hwe_SetEnablePolling = NULL;
	PFNHwe_GetSendWebStats Hwe_GetSendWebStats = NULL;
	PFNHwe_SetSendWebStats Hwe_SetSendWebStats = NULL;
	PFNHwe_Blank Hwe_Blank = NULL;
    PFNHwe_GetWriterSupportedMediaList Hwe_GetWriterSupportedMediaList = NULL;
	PFNHwe_IsDvdWriter Hwe_IsDvdWriter = NULL;
	PFNHwe_GetDontAutoEject Hwe_GetDontAutoEject = NULL;
	PFNHwe_SetDontAutoEject Hwe_SetDontAutoEject = NULL;
	PFNHwe_GetLayerBreak Hwe_GetLayerBreak = NULL;
	PFNHwe_SetLayerBreak Hwe_SetLayerBreak = NULL;
	PFNHwe_DmaName Hwe_DmaName = NULL;
    PFNHwe_GetDVDRWritingModeAffinity Hwe_GetDVDRWritingModeAffinity = NULL;
    PFNHwe_SetDVDRWritingModeAffinity Hwe_SetDVDRWritingModeAffinity = NULL;
	PFNHwe_StartBdvWriting Hwe_StartBdvWriting = NULL;
	PFNHwe_GetIsoPath Hwe_GetIsoPath = NULL;
    PFNHwe_SetIsoPath Hwe_SetIsoPath = NULL;
	PFNHwe_GetStrictMediaEnforcment Hwe_GetStrictMediaEnforcment = NULL;
    PFNHwe_SetStrictMediaEnforcment Hwe_SetStrictMediaEnforcment = NULL;
    PFNHwe_GetLogDiscDetectionStatus Hwe_GetLogDiscDetectionStatus = NULL;
	PFNHwe_SetLogDiscDetectionStatus Hwe_SetLogDiscDetectionStatus = NULL;
	PFNHwe_SetDataCallback Hwe_SetDataCallback = NULL;
	PFNHwe_GetSDKVersionInformation Hwe_GetSDKVersionInformation = NULL;
	PFNHwe_GetBlankAllowed Hwe_GetBlankAllowed = NULL;
	PFNHwe_StartBinaryWriting Hwe_StartBinaryWriting = NULL;
	PFNHwe_GetProgressInterface Hwe_GetProgressInterface = NULL;

	HINSTANCE hHweLib = 0; 

// licensed users, you will receive a key like the following (PS, this sample doesn't remove the "trial version" nag)
// for non-licensed users (or client apps still running in trial mode), do not send this key, the burn will work without limitation, 
// a small dialogbox will just popup once the burn process will be started.


// Load the HWE dll
int loadhwe() {
	if (!hHweLib) {
		hHweLib = LoadLibrary("vso_hwe.dll");
		if (hHweLib) {
			Hwe_Init = (PFNHwe_Init)GetProcAddress(hHweLib,"Hwe_Init");
			assert(Hwe_Init);
			Hwe_Free = (PFNHwe_Free)GetProcAddress(hHweLib,"Hwe_Free");
			assert(Hwe_Free);
			Hwe_GetDvdWritersCount = (PFNHwe_GetDvdWritersCount)GetProcAddress(hHweLib,"Hwe_GetDvdWritersCount");
			assert(Hwe_GetDvdWritersCount);
			Hwe_GetDvdWriterName = (PFNHwe_GetDvdWriterName)GetProcAddress(hHweLib,"Hwe_GetDvdWriterName");
			assert(Hwe_GetDvdWriterName);
			Hwe_GetDeviceName = (PFNHwe_GetDeviceName)GetProcAddress(hHweLib,"Hwe_GetDeviceName");
			assert(Hwe_GetDeviceName);
			Hwe_GetMediaStatus = (PFNHwe_GetMediaStatus)GetProcAddress(hHweLib,"Hwe_GetMediaStatus");
			assert(Hwe_GetMediaStatus);
			Hwe_GetWriteStatus = (PFNHwe_GetWriteStatus)GetProcAddress(hHweLib,"Hwe_GetWriteStatus");
			assert(Hwe_GetWriteStatus);
			Hwe_GetMediaType = (PFNHwe_GetMediaType)GetProcAddress(hHweLib,"Hwe_GetMediaType");
			assert(Hwe_GetMediaType);
			Hwe_SetWriter = (PFNHwe_SetWriter)GetProcAddress(hHweLib,"Hwe_SetWriter");
			assert(Hwe_SetWriter);
			Hwe_EmptyMediaSize = (PFNHwe_EmptyMediaSize)GetProcAddress(hHweLib,"Hwe_EmptyMediaSize");
			assert(Hwe_EmptyMediaSize);
			Hwe_StartWriting = (PFNHwe_StartWriting)GetProcAddress(hHweLib,"Hwe_StartWriting");
			assert(Hwe_StartWriting);
			Hwe_StartDataWriting = (PFNHwe_StartWriting)GetProcAddress(hHweLib,"Hwe_StartDataWriting");
			assert(Hwe_StartDataWriting);
			Hwe_RegisterCallback = (PFNHwe_RegisterCallback)GetProcAddress(hHweLib,"Hwe_RegisterCallback");
			assert(Hwe_RegisterCallback);
			Hwe_AbortWrite = (PFNHwe_AbortWrite)GetProcAddress(hHweLib,"Hwe_AbortWrite");
			assert(Hwe_AbortWrite);
			Hwe_SetMediaToRom = (PFNHwe_SetMediaToRom)GetProcAddress(hHweLib,"Hwe_SetMediaToRom");
			assert(Hwe_SetMediaToRom);
			Hwe_GetWriterMode = (PFNHwe_GetWriterMode)GetProcAddress(hHweLib,"Hwe_GetWriterMode");
			assert(Hwe_GetWriterMode);
			Hwe_SetWriterMode = (PFNHwe_SetWriterMode)GetProcAddress(hHweLib,"Hwe_SetWriterMode");
			assert(Hwe_SetWriterMode);
			Hwe_CloseTray = (PFNHwe_CloseTray)GetProcAddress(hHweLib,"Hwe_CloseTray");
			assert(Hwe_CloseTray);
			Hwe_OpenTray = (PFNHwe_OpenTray)GetProcAddress(hHweLib,"Hwe_OpenTray");
			assert(Hwe_OpenTray);
			Hwe_GetLayerStatus = (PFNHwe_GetLayerStatus)GetProcAddress(hHweLib,"Hwe_GetLayerStatus");
			assert(Hwe_GetLayerStatus);
			Hwe_SetLogFile = (PFNHwe_SetLogFile)GetProcAddress(hHweLib,"Hwe_SetLogFile");
			assert(Hwe_SetLogFile);
			Hwe_SendKey = (PFNHwe_SendKey)GetProcAddress(hHweLib,"Hwe_SendKey");
			assert(Hwe_SendKey);
			Hwe_GetDriveStatus = (PFNHwe_GetDriveStatus)GetProcAddress(hHweLib,"Hwe_GetDriveStatus");
			assert(Hwe_GetDriveStatus);
			Hwe_GetWriteSpeeds = (PFNHwe_GetWriteSpeeds)GetProcAddress(hHweLib,"Hwe_GetWriteSpeeds");
			assert(Hwe_GetWriteSpeeds);
			Hwe_SetWriteSpeed = (PFNHwe_SetWriteSpeed)GetProcAddress(hHweLib,"Hwe_SetWriteSpeed");
			assert(Hwe_SetWriteSpeed);
			Hwe_StartIsoWriting = (PFNHwe_StartIsoWriting)GetProcAddress(hHweLib,"Hwe_StartIsoWriting");
			assert(Hwe_StartIsoWriting);
//			Hwe_StartStreamWriting = (PFNHwe_StartStreamWriting)GetProcAddress(hHweLib,"Hwe_StartStreamWriting");
//			assert(Hwe_StartStreamWriting);
			Hwe_GetEnablePolling = (PFNHwe_GetEnablePolling)GetProcAddress(hHweLib,"Hwe_GetEnablePolling");
			assert(Hwe_GetEnablePolling);
	        Hwe_SetEnablePolling = (PFNHwe_SetEnablePolling)GetProcAddress(hHweLib,"Hwe_SetEnablePolling");
			assert(Hwe_SetEnablePolling);
			Hwe_GetSendWebStats = (PFNHwe_GetSendWebStats)GetProcAddress(hHweLib,"Hwe_GetSendWebStats");
			assert(Hwe_GetSendWebStats);
	        Hwe_SetSendWebStats = (PFNHwe_SetSendWebStats)GetProcAddress(hHweLib,"Hwe_SetSendWebStats");
			assert(Hwe_SetSendWebStats);
			Hwe_Blank = (PFNHwe_Blank)GetProcAddress(hHweLib,"Hwe_Blank");
			assert(Hwe_Blank);
			Hwe_GetWriterSupportedMediaList = (PFNHwe_GetWriterSupportedMediaList)GetProcAddress(hHweLib,"Hwe_GetWriterSupportedMediaList");
			assert(Hwe_GetWriterSupportedMediaList);
			Hwe_IsDvdWriter = (PFNHwe_IsDvdWriter)GetProcAddress(hHweLib,"Hwe_IsDvdWriter");
			assert(Hwe_IsDvdWriter);
			Hwe_SetDontAutoEject = (PFNHwe_SetDontAutoEject)GetProcAddress(hHweLib,"Hwe_SetDontAutoEject");
			assert(Hwe_SetDontAutoEject);
	        Hwe_GetDontAutoEject = (PFNHwe_GetDontAutoEject)GetProcAddress(hHweLib,"Hwe_GetDontAutoEject");
			assert(Hwe_GetDontAutoEject);
			Hwe_GetLayerBreak = (PFNHwe_GetLayerBreak)GetProcAddress(hHweLib,"Hwe_GetLayerBreak");
			assert(Hwe_GetLayerBreak);
			Hwe_SetLayerBreak = (PFNHwe_SetLayerBreak)GetProcAddress(hHweLib,"Hwe_SetLayerBreak");
			assert(Hwe_SetLayerBreak);
			Hwe_DmaName = (PFNHwe_DmaName)GetProcAddress(hHweLib,"Hwe_DmaName");
			assert(Hwe_DmaName);
            Hwe_GetDVDRWritingModeAffinity = (PFNHwe_GetDVDRWritingModeAffinity)GetProcAddress(hHweLib,"Hwe_GetDVDRWritingModeAffinity");
			assert(Hwe_GetDVDRWritingModeAffinity);
		    Hwe_SetDVDRWritingModeAffinity = (PFNHwe_SetDVDRWritingModeAffinity)GetProcAddress(hHweLib,"Hwe_SetDVDRWritingModeAffinity");
			assert(Hwe_SetDVDRWritingModeAffinity);
		    Hwe_StartBdvWriting = (PFNHwe_StartBdvWriting)GetProcAddress(hHweLib,"Hwe_StartBdvWriting");
			assert(Hwe_StartBdvWriting);
		    Hwe_GetIsoPath = (PFNHwe_GetIsoPath)GetProcAddress(hHweLib,"Hwe_GetIsoPath");
			assert(Hwe_GetIsoPath);
		    Hwe_SetIsoPath = (PFNHwe_SetIsoPath)GetProcAddress(hHweLib,"Hwe_SetIsoPath");
			assert(Hwe_SetIsoPath);
		    Hwe_GetStrictMediaEnforcment = (PFNHwe_GetStrictMediaEnforcment)GetProcAddress(hHweLib,"Hwe_GetStrictMediaEnforcment");
			assert(Hwe_GetStrictMediaEnforcment);
		    Hwe_SetStrictMediaEnforcment = (PFNHwe_SetStrictMediaEnforcment)GetProcAddress(hHweLib,"Hwe_SetStrictMediaEnforcment");
			assert(Hwe_SetStrictMediaEnforcment);
		    Hwe_GetLogDiscDetectionStatus = (PFNHwe_GetLogDiscDetectionStatus)GetProcAddress(hHweLib,"Hwe_GetLogDiscDetectionStatus");
			assert(Hwe_GetLogDiscDetectionStatus);
		    Hwe_SetLogDiscDetectionStatus = (PFNHwe_SetLogDiscDetectionStatus)GetProcAddress(hHweLib,"Hwe_SetLogDiscDetectionStatus");
			assert(Hwe_SetLogDiscDetectionStatus);
		    Hwe_GetMediaWriteSpeeds = (PFNHwe_GetMediaWriteSpeeds)GetProcAddress(hHweLib,"Hwe_GetMediaWriteSpeeds");
			assert(Hwe_GetMediaWriteSpeeds);
		    Hwe_SetDataCallback = (PFNHwe_SetDataCallback)GetProcAddress(hHweLib,"Hwe_SetDataCallback");
			assert(Hwe_SetDataCallback);
			Hwe_GetBlankAllowed = (PFNHwe_GetBlankAllowed)GetProcAddress(hHweLib, "Hwe_GetBlankAllowed");
			Hwe_GetSDKVersionInformation = (PFNHwe_GetSDKVersionInformation)GetProcAddress(hHweLib, "Hwe_GetSDKVersionInformation");
			Hwe_StartBinaryWriting = (PFNHwe_StartBinaryWriting)GetProcAddress(hHweLib, "Hwe_StartBinaryWriting");
			Hwe_GetProgressInterface = (PFNHwe_GetProgressInterface)GetProcAddress(hHweLib, "Hwe_GetProgressInterface");
		    return TRUE;
		} else {
			return FALSE;
		}
	} else {
		return TRUE;
	}
}

// Free the HWE dll
void unloadhwe() {
	if (hHweLib) {
		FreeLibrary(hHweLib);
		Hwe_Init = NULL;
		Hwe_Free = NULL;
		Hwe_GetDvdWritersCount = NULL;
		Hwe_GetDvdWriterName = NULL;
		Hwe_GetDeviceName = NULL;
		Hwe_GetMediaStatus = NULL;
		Hwe_GetWriteStatus = NULL;
		Hwe_GetMediaType = NULL;
		Hwe_SetWriter = NULL;
		Hwe_EmptyMediaSize = NULL;
		Hwe_StartWriting = NULL;
		Hwe_RegisterCallback = NULL;
		Hwe_AbortWrite = NULL;
		Hwe_SetMediaToRom = NULL;
		Hwe_GetWriterMode = NULL;
		Hwe_SetWriterMode = NULL;
		Hwe_CloseTray = NULL;
		Hwe_OpenTray = NULL;
		Hwe_GetLayerStatus = NULL;
		Hwe_SetLogFile = NULL;
		Hwe_SendKey = NULL;
		Hwe_GetDriveStatus = NULL;
		Hwe_GetWriteSpeeds = NULL;
		Hwe_SetWriteSpeed = NULL;
		Hwe_StartIsoWriting = NULL;
//		Hwe_StartStreamWriting = NULL;
		Hwe_GetEnablePolling = NULL;
	    Hwe_SetEnablePolling = NULL;
		Hwe_GetSendWebStats = NULL;
	    Hwe_SetSendWebStats = NULL;
		Hwe_Blank = NULL;
		Hwe_GetWriterSupportedMediaList = NULL;
		Hwe_IsDvdWriter = NULL;
		Hwe_SetDontAutoEject = NULL;
	    Hwe_GetDontAutoEject = NULL;
		Hwe_GetLayerBreak = NULL;
		Hwe_SetLayerBreak = NULL;
		Hwe_DmaName = NULL;
        Hwe_GetDVDRWritingModeAffinity = NULL;
		Hwe_SetDVDRWritingModeAffinity = NULL;
		Hwe_StartBdvWriting = NULL;
		Hwe_SetIsoPath = NULL;
		Hwe_GetIsoPath = NULL;
		Hwe_GetStrictMediaEnforcment = NULL;
		Hwe_SetStrictMediaEnforcment = NULL;
		Hwe_GetLogDiscDetectionStatus = NULL;
		Hwe_SetLogDiscDetectionStatus = NULL;
		Hwe_SetDataCallback = NULL;
		Hwe_GetSDKVersionInformation = NULL;
		Hwe_GetBlankAllowed = NULL;
		Hwe_StartBinaryWriting = NULL;
		Hwe_GetProgressInterface = NULL;
		hHweLib = 0; 
	}
}


/* The callback invoked by the HWE for each steps of the process
*/
void HWEAPI Hwe_ApiCallback(const HWEHANDLE H, unsigned int WriteOp, NativeUInt Progress, void *UserParam) 
{
	CMfctesthweDlg* Client = (CMfctesthweDlg*)UserParam;

	CString Tmp;
	char* strbuf;
	int len;
	
	switch (WriteOp) {
		case WRO_BROWSE_FILES: 
			// Write engine is browsing files, progress = 0
			strcpy(Tmp.GetBuffer(1024),"Callback WRO_BROWSEFILES (browsing files)");
		break;
		case WRO_COPY_DATA_TO_CACHE: 
			// Data is currently copied to cache file, progress = progression of the cache operation - 0 to 0xFFFF
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_COPYDATATOCACHE - Progress %d",(int)Progress);
		break;
		case WRO_PARSING_DISC:
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_PARSING_DISC - Disc is being parsed");
			Client->m_Status = "Disc is being parsed. Please wait ...";
		break;
		case WRO_DISC_ACCEPTED:
			// New media has been inserted, progress = media change counter
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_DISC_ACCEPTED - Media change counter %d - Rewritable disc %d",(int)Progress & 0x7FFF, (Progress & 0x8000) != 0);
			Client->AcceptedDisc((int)Progress);
		break;
		case WRO_DISC_REJECTED:
			// Media has been removed, progress = media change counter
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_DISC_REJECTED - Reason code %d",(int)Progress);
			Client->RejectedDisc((int)Progress);
		break;
		case WRO_ERASING: 
			// Media erasure is in progress, progress = progression of the erase operation - 0 to 0xFFFF
			// sprintf(Tmp.GetBuffer(1024),"Callback WRO_ERASING - Progress %d",(int)Progress);
			Client->NotifyEraseProgress((int)Progress);
			return;
		break;
		case WRO_FORMATTING: 
			// Media formatting is in progress, progress = progression of the format operation - 0 to 0xFFFF
			// sprintf(Tmp.GetBuffer(1024),"Callback WRO_FORMATTING - Progress %d",(int)Progress);
			Client->NotifyFormatProgress((int)Progress);
			return;
		break;
		case WRO_WRITING:
			// Media write is in progress, progress = progression of the write operation - 0 to 0xFFFF
			// sprintf(Tmp.GetBuffer(1024),"Callback WRO_WRITING - Progress %d",(int)Progress);
			Client->NotifyBurnProgress((int)Progress);
			return;
		break;
		case WRO_FINISIHING:
			// Media finalization is in progress, progress = progression of the finalize operation - 0 to 0xFFFF
			// sprintf(Tmp.GetBuffer(1024),"Callback WRO_FINISIHING - Progress %d", (int)Progress);
			Client->NotifyFinalizeProgress((int)Progress);
			return;
		break;
		case WRO_FINISHED:
			// Write has finished, progress = Write status (same has Hwe_GetWriteStatus)
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_FINISHED - Status %d",(int)Progress);
			Client->BurnFinished((int)Progress);
		break;
		case WRO_LOG: 			
			// Event log.
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_LOG - Message %s",(char*)Progress);
		break;
		case WRO_DEVICE_COUNT_CHANGED: 
			sprintf(Tmp.GetBuffer(1024),"Callback WRO_DEVICE_COUNT_CHANGED - A device has been added or removed.");
			Client->EnumDevices();
		break;
		default: ;
			sprintf(Tmp.GetBuffer(1024),"Callback WriteOp %d - Progress %d",WriteOp,(int)Progress);

	}
	Tmp.ReleaseBuffer();

	if (Client->m_MainThreadId != GetCurrentThreadId()) {
		// The message was issued from another thread, this happen with burn error messages,
		// we can't update the GDI now, so we pass the message to the main thread
		len = Tmp.GetLength() + 1;
		strbuf = (char*)malloc(len);
		strcpy(strbuf,Tmp);
		Client->PostMessage(WM_SEND_LOG,(WPARAM)strbuf,len);
	} else {
		// Logging the operation in the main dialog
		Client->m_List.InsertString(0,Tmp);
		Client->UpdateData(FALSE);
	}
}


void (__stdcall ReadZeroedSectors)(void* Opaque, void* Data, int SectorCount, int SectorIndex, unsigned char *Final)
{

	// this function is called in an arbitrary thread context
	CMfctesthweDlg *Dlg = (CMfctesthweDlg*)Opaque;
	memset(Data,0, SectorCount << 11);
	*Final = Dlg->m_AbortRequested;
}

void (__stdcall DataCallback)(void* Opaque, int sector_index, unsigned char *data, int data_bytesize, IVSOBurningAPISCSICommand *dev)
{
	// this function is called in an arbitrary thread context
	const char hello[] = "hello world";
	const char CDB[6] = {0,0,0,0,0,0};
	unsigned char Sense[18];

	// patch sector 0 offset 16 with "hello world"
	if ((sector_index == 0) && (data_bytesize >= 2048)) {
		// pass a DEVICE_READY command
		if (dev->SendSCSICommand((void*)&CDB,FALSE,NULL,0,(unsigned char*)&Sense)) {
			memcpy(data + 16,&hello,sizeof(hello));
		} else {
			// device not ready, one can study the Sense data
		}

	}
}


/////////////////////////////////////////////////////////////////////////////
// CMfctesthweDlg dialog

CMfctesthweDlg::CMfctesthweDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CMfctesthweDlg::IDD, pParent)
	, m_DontEjectAtCompletion(FALSE)
	, m_StrictMediaCheck(FALSE)
	, m_LogDiscDetection(TRUE)
	, m_DataCallback(FALSE)
	, m_RealtimeSpeed(FALSE)
{
	//{{AFX_DATA_INIT(CMfctesthweDlg)
	m_Status = _T("");
	m_PollMedia = FALSE;
	m_LogDiscDetection = TRUE;
	m_Write_Affinity = -1;
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_MainThreadId = GetCurrentThreadId();
	m_BurnProgress = NULL;

}

CMfctesthweDlg::~CMfctesthweDlg()
{
	CDialog::~CDialog();
	m_BurnProgress = NULL;
}


void CMfctesthweDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CMfctesthweDlg)
	DDX_Control(pDX, IDSTARTWRITINGSTREAM, m_BtStartStream);
	DDX_Control(pDX, IDCWRITEISO, m_BtWriteIso);
	DDX_Control(pDX, IDC_CBSPEEDS, m_SpeedList);
	DDX_Control(pDX, IDC_BTCLOSETRAY, m_BtCloseTray);
	DDX_Control(pDX, IDC_BTOPENTRAY, m_BtOpenTray);
	DDX_Control(pDX, IDABORTWRITING, m_BtAbort);
	DDX_Control(pDX, IDSTARTWRITING, m_BtStart);
	DDX_Control(pDX, IDC_CBDRIVE, m_DriveList);
	DDX_Control(pDX, IDC_LIST1, m_List);
	DDX_Control(pDX, IDC_PROGRESS1, m_Progress);
	DDX_Text(pDX, IDC_STATUS, m_Status);
	DDX_Check(pDX, IDC_POLLMEDIA, m_PollMedia);
	DDX_CBIndex(pDX, IDC_CBWRITEAFFINITY, m_Write_Affinity);
	//}}AFX_DATA_MAP
	DDX_Check(pDX, IDC_DONTEJECT, m_DontEjectAtCompletion);
	DDX_Control(pDX, IDCWRITEDATA, m_WriteData);
	DDX_Control(pDX, IDCWRITEBDV, m_WriteBDV);
	DDX_Control(pDX, IDC_STRICTMEDIACHECK, btn_strictmediacheck);
	DDX_Check(pDX, IDC_STRICTMEDIACHECK, m_StrictMediaCheck);
	DDX_Check(pDX, IDC_LOGDISCDETECTION, m_LogDiscDetection);
	DDX_Check(pDX, IDC_DATA_CALLBACK, m_DataCallback);
	DDX_Check(pDX, IDC_CKINSTANTSPEED, m_RealtimeSpeed);
}

BEGIN_MESSAGE_MAP(CMfctesthweDlg, CDialog)
	//{{AFX_MSG_MAP(CMfctesthweDlg)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_DESTROY()
	ON_CBN_SELCHANGE(IDC_CBDRIVE, OnSelchangeCbdrive)
	ON_BN_CLICKED(IDSTARTWRITING, OnStartwriting)
	ON_BN_CLICKED(IDABORTWRITING, OnAbortwriting)
	ON_WM_CLOSE()
	ON_BN_CLICKED(IDC_BTOPENTRAY, OnBtopentray)
	ON_BN_CLICKED(IDC_BTCLOSETRAY, OnBtclosetray)
	ON_BN_CLICKED(IDCWRITEISO, Onwriteiso)
	ON_BN_CLICKED(IDSTARTWRITINGSTREAM, OnStartwritingstream)
	ON_BN_CLICKED(IDC_POLLMEDIA, OnPollmedia)
	ON_BN_CLICKED(IDC_SENDSTATS, OnSendstats)
	ON_BN_CLICKED(IDC_DONTEJECT, OnBnClickedDonteject)
	ON_CBN_SELCHANGE(IDC_CBWRITEAFFINITY, OnSelchangeCbwriteaffinity)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDCWRITEDATA, &CMfctesthweDlg::OnBnClickedCwritedata)
	ON_BN_CLICKED(IDCWRITEBDV, &CMfctesthweDlg::OnBnClickedCwritebdv)
	ON_BN_CLICKED(IDCSETISOPATH, &CMfctesthweDlg::OnBnClickedCsetisopath)
	ON_BN_CLICKED(IDC_LOGDISCDETECTION, &CMfctesthweDlg::OnBnClickedLogdiscdetection)
	ON_BN_CLICKED(IDC_DATA_CALLBACK, &CMfctesthweDlg::OnBnClickedDataCallback)
	ON_BN_CLICKED(IDC_CKINSTANTSPEED, &CMfctesthweDlg::OnBnClickedCkinstantspeed)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CMfctesthweDlg message handlers

BOOL CMfctesthweDlg::OnInitDialog()
{
	int nRet;
	unsigned int len;
	CString Tmp,DmaName;
	char* lfn;
	char dosdevice;

	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// Init global variables
	m_Hwe = 0;
	m_WriteInProgress = false;


	if (loadhwe()) {
		m_List.InsertString(0,"hwe DLL loaded");

		// Get an instance of the writing engine
		nRet = Hwe_Init( NULL, NULL, &m_Hwe );
		if( HWE_OK == nRet )
		{

			// Register the callback to be notified of various events
			Hwe_RegisterCallback( m_Hwe, Hwe_ApiCallback, this );


			// OPTIONNAL : Create a log file into the "my documents" folder
			lfn = new char[MAX_PATH + 256];
			if (SHGetSpecialFolderPath(NULL,lfn,CSIDL_PERSONAL,true)) {
				strcat(lfn,"\\hwe_log.log");
				Hwe_SetLogFile( m_Hwe, lfn);
				m_List.InsertString(0,"Log file created :");
				m_List.InsertString(0,lfn);
			}
			delete lfn;

			if (Hwe_GetSDKVersionInformation) {
				len = 1024;
				lfn = new char[len + 1];
				if (Hwe_GetSDKVersionInformation(m_Hwe, lfn, &len)) {
					m_List.InsertString(0, "Burning SDK DLL version information :");
					m_List.InsertString(0, lfn);
				}
				delete lfn;
			}

			/*************************************************************************************
			  NOTE ABOUT UNLOCK KEY:
			  This burning SDK is protected by an activation system.
			  
			  If you don't have a unlock key provided by VSO, use your email address. 
			  You will then receive a validation email with a link to click. 
			  Once this email is validated, you can use the burning SDK for evaluation purpose. 
			  CAUTION: Internet connection is needed. If not available, the burning will not start.

			  For licensed / commercial distribution, you must accept our terms of use, and sign 
			  an agreement for commercial use of the burning API.
			  Once this is done, you will receive a key that will allow you to use 
			  the burning SDK in your commercial software.
			  NOTE: Commercial key are also online activated and the number of activation is used as 
			  reference for invoice.

			 *************************************************************************************/

			// This key is not working. Replace with your own commercial key
			byte api_key[132] = {
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
				0x00, 0x00, 0x00, 0x00    // <- for registered
//				0x01, 0x00, 0x00, 0x00    // <- for trial
			};

			if (!Hwe_SendKey(m_Hwe, &api_key, 132)) {
				m_List.InsertString(0,"Licensed SDK user key not processed correctly (use your email or unlock key).");
			} else {
				m_List.InsertString(0,"Licensed SDK user key processed correctly. see log for details");
			}



			EnumDevices();

			m_List.InsertString(0,"**** Start List of all available CD/DVD drives\n");
			for (dosdevice='C'; dosdevice <='Z'; dosdevice++) {
				if (Hwe_GetDeviceName( m_Hwe, dosdevice, Tmp.GetBuffer(MAX_PATH), MAX_PATH )) {

					Tmp.ReleaseBuffer();
					if (Hwe_DmaName(m_Hwe, dosdevice, DmaName.GetBuffer(MAX_PATH), MAX_PATH )) {

						DmaName.ReleaseBuffer();
						Tmp += " - DMA: ";
						Tmp += DmaName;
						
					} else {
						DmaName.ReleaseBuffer();
					}
					m_List.InsertString(0,Tmp);
				} else {
					Tmp.ReleaseBuffer();
				}

			}
			m_List.InsertString(0,"**** End List of all available CD/DVD drives\n");



			// If there is at least one writer, select the first of the list

			if (m_nWriterCount > 0) {
				Hwe_SetWriter( m_Hwe, 0 );
				m_DriveList.SetCurSel( 0 );
			}

			m_PollMedia = Hwe_GetEnablePolling(m_Hwe) != 0;
			m_LogDiscDetection = Hwe_GetLogDiscDetectionStatus(m_Hwe) != 0;
			m_DontEjectAtCompletion = Hwe_GetDontAutoEject(m_Hwe) != 0;
			m_Write_Affinity = Hwe_GetDVDRWritingModeAffinity(m_Hwe);

		} else {
			// Instance of the burning layer couldn't be created. Probably a driver installation issue
			m_Status.FormatV("Init HWE failed with status %.8X\n",(char*)&nRet);
			m_List.AddString(m_Status);
			switch(nRet) {
				case HWE_ACCESS_LAYER_CANT_CONNECT: m_List.AddString("Access Layer can't connect\n");
					break;
				case HWE_NO_DVD_WRITERS: m_List.AddString("No DVD writers were found\n");
					break;
				default: 
					m_List.AddString("Unknown cause\n");
				
			}
		}


	} else {
		// No DLL
		m_Status = "hwe not found or obsolete\n";
		m_List.AddString(m_Status);
	}

	UpdateData(FALSE);
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.
void CMfctesthweDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CMfctesthweDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



void CMfctesthweDlg::OnDestroy() 
{

	CDialog::OnDestroy();

	// Cleanup the burning layer and unload the DLL
	if (m_Hwe) {
		Hwe_Free(m_Hwe);
		m_Hwe = 0;
	}

	unloadhwe();

	
	
}


void CMfctesthweDlg::OnSelchangeCbdrive() 
{

	// Called when user change the drive, select the drive in the burning layer
	if (m_Hwe)
		if (Hwe_SetWriter( m_Hwe, m_DriveList.GetCurSel())) {
			m_List.InsertString(0,"Writer has been set");
			m_BtOpenTray.EnableWindow(TRUE);
			m_BtCloseTray.EnableWindow(TRUE);
		} else {
			m_List.InsertString(0,"Writer hasn't been set");
		}


	
}

void CMfctesthweDlg::AcceptedDisc(int mcc)
{

	// Called by the callback when a new media has been inserted, or a media has been removed
	int MediaType, MediaStatus;
	CString Tmp;

	MediaType = Hwe_GetMediaType(m_Hwe);
	MediaStatus = Hwe_GetMediaStatus(m_Hwe);

	switch (MediaType) {
		case MEDIA_CDROM		: m_List.InsertString(0,"Inserted media : CD-ROM");
			break;
		case MEDIA_CDR			: m_List.InsertString(0,"Inserted media : CD-R");
			break;
		case MEDIA_CDRW			: m_List.InsertString(0,"Inserted media : CD-RW");
			break;
		case MEDIA_DVDROM		: m_List.InsertString(0,"Inserted media : DVD-ROM");
			break;
		case MEDIA_DVDR			: m_List.InsertString(0,"Inserted media : DVD-R");
			break;
		case MEDIA_DVDRAM		: m_List.InsertString(0,"Inserted media : DVD-RAM");
			break;
		case MEDIA_DVDRW		: m_List.InsertString(0,"Inserted media : DVD-RW Restricted Overwrite");
			break;
		case MEDIA_DVDRWSEQ		: m_List.InsertString(0,"Inserted media : DVD-RW Sequential");
			break;
		case MEDIA_DVDPLUSRW	: m_List.InsertString(0,"Inserted media : DVD+RW");
			break;
		case MEDIA_DVDPLUSR		: m_List.InsertString(0,"Inserted media : DVD+R");
			break;
		case MEDIA_DDCDROM		: m_List.InsertString(0,"Inserted media : Double Density CD-ROM");
			break;
		case MEDIA_DDCDR		: m_List.InsertString(0,"Inserted media : Double Density CD-R");
			break;
		case MEDIA_DDCDRW		: m_List.InsertString(0,"Inserted media : Double Density CD-RW");
			break;
		case MEDIA_DLDVDPLUSRW	: m_List.InsertString(0,"Inserted media : Dual Layer DVD+RW");
			break;
		case MEDIA_DLDVDPLUSR	: m_List.InsertString(0,"Inserted media : Dual Layer DVD+R");
			break;
		case MEDIA_DLDVDR		: m_List.InsertString(0,"Inserted media : Dual Layer DVD-R");
			break;
		case MEDIA_DLDVDRJMP	: m_List.InsertString(0,"Inserted media : Dual Layer DVD-R Jump Recording");
			break;
		case MEDIA_HDBURNCDROM	: m_List.InsertString(0,"Inserted media : HD Burn CD-ROM");
			break;
		case MEDIA_HDBURNCDR	: m_List.InsertString(0,"Inserted media : HD Burn CD-R");
			break;
		case MEDIA_HDBURNCDRW	: m_List.InsertString(0,"Inserted media : HD Burn CD-RW");
			break;
//		default					: m_List.InsertString(0,"Inserted media : Unknown type");
	}


// current status of the burning layer. See the strings for details
	switch (MediaStatus) {
		case HWE_NO_SELECTED_DRIVE	: 
			m_List.InsertString(0,"No writers selected.");
			m_Status = "Please select a writer to continue";
			UpdateButtons(false);
			break;
		case HWE_READY_TO_WRITE		:			// After receiving this, the drive is ready to start burning
			m_List.InsertString(0,"Empty (re)writable media inserted");
			// display the capacity of the empty media - BE CAREFULL, it doesn't mean the media is empty or writable, 
			// it is only its capacity if this media is empty
			sprintf(Tmp.GetBuffer(1024),"Capacity of this media (in sectors = 2Kb): %d",Hwe_EmptyMediaSize(m_Hwe));
			Tmp.ReleaseBuffer();
			m_List.InsertString(0,Tmp);
			RefreshSpeedList();
			m_Status = "Click the start button to start the burning process";
			UpdateButtons(true);
			break;
		case HWE_FULL_RW:						// After receiving this, the drive is ready to start burning - but will erase the inserted media
			m_List.InsertString(0,"(re)writable media already containing data inserted");
			// display the capacity of the empty media - BE CAREFULL, it doesn't mean the media is empty or writable, 
			// it is only its capacity if this media is empty
			sprintf(Tmp.GetBuffer(1024),"Capacity of this media (in sectors = 2Kb): %d",Hwe_EmptyMediaSize(m_Hwe));
			Tmp.ReleaseBuffer();
			m_List.InsertString(0,Tmp);
			RefreshSpeedList();
			m_Status = "Click the start button to start the burning process";
			UpdateButtons(true);
			break;
		case HWE_NOT_READY:
			m_List.InsertString(0,"No media inserted");
			m_Status = "Please insert a compatible media to start the write process";
			UpdateButtons(false);
			break;
		case HWE_MEDIA_NOT_WRITABLE:
			m_List.InsertString(0,"Media inserted is not writable");
			m_Status = "Please insert a blank or erasable media to start the write process";
			UpdateButtons(false);
			break;
		case HWE_NO_SUITABLE_MEDIA:
			m_List.InsertString(0,"Media inserted is not suitable for the write operation");
			m_Status = "Please insert a proper media type to start the write process";
			UpdateButtons(false);
			break;
			
	}

}

void CMfctesthweDlg::RejectedDisc(int mcc)
{

	// Called by the callback when a new media has been inserted, or a media has been removed
	CString Tmp;

// current status of the burning layer. See the strings for details
	switch (mcc) {
		case DRR_UNKNOWN: m_Status = "Disc rejected for unknown reason";
			break;
		case DRR_DISC_NOT_EMTPY: m_Status = "Inserted disc is not empty and not (re)writable";
			break;
		case DRR_DISC_NOT_READABLE: m_Status = "Inserted disc cannot be read (unknown cause)";
			break;
		case DRR_PARSING_INTERRUPTED_NO_DISC: m_Status = "No disc detected in drive, and parsing operation was interrupted by user.";
			break;
		case DRR_PARSING_INTERRUPTED_TRAY_OPENED: m_Status = "Device's Tray was opened interrupting the parsing operation";
			break;
		case DRR_NO_DISC: m_Status = "No disc detected in drive (there's nothing loaded in the drive)";
			break;
		case DRR_NO_DISC_TRAY_OPENED: m_Status = "No disc detected in drive and Tray is opening/opened";
			break;
		case DRR_INCOMPATIBLE_DISC: m_Status = "Disc is not compatible with the drive (ex. a DVD inserted in a CD-Rom only reader)";
			break;
		case DRR_INCOMPATIBLE_WRITE: m_Status = "Disc is compatible with the drive but cannot be written (ex. a DVD+RW with a writing speed that doesn't support the drive)";
			break;
		case DRR_HARDWARE_FAILURE: m_Status = "Drive has reported an hardware failure while parsing disc. This denotes a poor disc or a drive issue";
			break;
		case DRR_WRONG_DISC_TYPE: m_Status = "Disc type isn't correct (ex: inserting a CD-R when you need to write a DVD-VIDEO)";
			break;
		default: m_Status = "Unknown disc rejection reason";
	}
	UpdateButtons(false);
}

void CMfctesthweDlg::clearBurnProgressIntf()
{
	if (m_BurnProgress)
		m_BurnProgress->Release();
	m_BurnProgress = NULL;
}

void CMfctesthweDlg::OnStartwriting() 
{
	CString strPostFix(".IFO");
	CString strFileList("IFO files (*.IFO)|*.IFO|All Files (*.*)|*.*||");
	CString PathName;
	char path[MAX_PATH];
	char *filepart, *VideoTsPart;

	CFileDialog open_file_dlg( TRUE, strPostFix.LockBuffer(), NULL, 
		OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		strFileList.LockBuffer(), this);
	
	strFileList.UnlockBuffer();
	
	// Ask the user to select an IFO file
	switch(open_file_dlg.DoModal())
	{
	case IDOK:
		{
			// Set the progress bar to 0xFFFF max - every operation is 100 when the progress = 0xFFFF
			m_Progress.SetRange32(0,0xFFFF);
			m_Progress.SetPos(0);
			m_WriteInProgress = TRUE;
			PathName = open_file_dlg.GetPathName();
			// Get the folder name only
			GetFullPathName(PathName,MAX_PATH,path, &filepart);
			filepart--;
			filepart[0] = '\0';
			// If the folder name contains "VIDEO_TS", go down to 1 folder. 
			VideoTsPart = strstr(path,"VIDEO_TS");
			if (VideoTsPart) {
				VideoTsPart--;
				VideoTsPart[0] = '\0';
			}
			clearBurnProgressIntf();
			// Update buttons statuses
			UpdateButtons(false);

			Hwe_SetStrictMediaEnforcment(m_Hwe,m_StrictMediaCheck);

			// Set the required writing speed
			Hwe_SetWriteSpeed(m_Hwe,(int)m_SpeedList.GetItemData(m_SpeedList.GetCurSel()));

			// Start the video DVD writing process - This call is asynchronous (it return immediately)
			if (m_RealtimeSpeed) {
				Hwe_GetProgressInterface(m_Hwe, &m_BurnProgress);
			}
			Hwe_StartWriting(m_Hwe,path,"VolumeName");

			// To start a data CD/DVD writing (ISO9660 + Joliet, no UDF, no check for VIDEO_TS and IFO's, accept CD and DVD media), 
			// use the following call

			// Hwe_StartDataWriting(m_Hwe,path,"VolumeName");


		}
		break;
	case IDCANCEL:
		{
		}
	default:
		break;	
	}
	
}

void CMfctesthweDlg::BurnFinished(int Status)
{

	// Called by the callback, when the burning process is finished

	// Set button statuses
	UpdateButtons(false);
    m_BtOpenTray.EnableWindow(TRUE);
	m_BtCloseTray.EnableWindow(TRUE);

	// and now how the write has completed ? 

	switch (Status) {
		case HWS_INITOK						: m_List.InsertString(0, "Write init ok - write process has started"); // Should never happen
			break;
		case HWS_NOFILES					: m_List.InsertString(0, "Write Failed - No files in the folder");
			break;
		case HWS_MISSINGIFOORBUP			: m_List.InsertString(0, "Write Failed - IFO / BUP are missing");
			break;
		case HWS_BADIFO						: m_List.InsertString(0, "Write Failed - IFO contains invalid data. Will not work on some dvd players");
			break;
		case HWS_CANTCHECKIFO				: m_List.InsertString(0, "Write Failed - Access to files can't be gained");
			break;
		case HWS_TOOBIG 					: m_List.InsertString(0, "Write Failed - Files are too big to fit on the inserted media");
			break;
		case HWS_BADMEDIASTATUS				: m_List.InsertString(0, "Write Failed - Media is not ready to be written");
			break;
		case HWS_BLANKMEDIAFAILED			: m_List.InsertString(0, "Write Failed - Erasing a RW media has failed");
			break;
		case HWS_NOMORESPACEFORTEMPFILE		: m_List.InsertString(0, "Write Failed - There is not enough space in temp folder to setup the temp file");
			break;
		case HWS_CANTBUILDIMAGE				: m_List.InsertString(0, "Write Failed - Image can't be built - lot of cause, including impossibility to create a temp file.");
			break;
		case HWS_FORMATFAILED				: m_List.InsertString(0, "Write Failed - Formatting media has failed");
			break;
		case HWS_DEVICEBUSY					: m_List.InsertString(0, "Write Failed - Device is busy");
			break;
		case HWS_DEVICEINITFAILED			: m_List.InsertString(0, "Write Failed - initialization of the writing device has failed");
			break;
		case HWS_STARTBUFFERFAILED			: m_List.InsertString(0, "Write Failed -  Failed to start the data buffering. Probably a windows out of memory");
			break;
		case HWS_BADMEDIA					: m_List.InsertString(0, "Write Failed - Media is bad");
			break;
		case HWS_FINALIZATIONFAILED			: m_List.InsertString(0, "Write maybe good but Finalization process has failed"); 
			break;
		case HWS_WRITINGFAILED				: m_List.InsertString(0, "Write Failed - write error or aborted by user");
			break;
		case HWS_WRITINGCOMPLETE			: m_List.InsertString(0, "Write is complete and sucessful");
			break;

		default: m_List.InsertString(0, "Unknown write completion status");

	}


	m_WriteInProgress = FALSE;

}

void CMfctesthweDlg::NotifyEraseProgress(int Progress)
{
	// Invoked by the callback when an erase operation is in progress
	m_Status = "Erasing ...";
	m_Progress.SetPos(Progress);
	UpdateData(false);
}

void CMfctesthweDlg::NotifyFormatProgress(int Progress)
{
	// Invoked by the callback when a format operation is in progress
	m_Status = "Formatting ...";
	m_Progress.SetPos(Progress);
	UpdateData(false);

}

void CMfctesthweDlg::NotifyBurnProgress(int Progress)
{
	// Invoked by the callback when a burn operation is in progress
	int currentSector;
	float speedKBPS;

	m_Progress.SetPos(Progress);
	if (m_BurnProgress) {
		// get the average burning speed on last 10 seconds.
		speedKBPS = m_BurnProgress->GetCurrentDataSpeedKBPS(&currentSector, 10.0);
		if (speedKBPS > 0) {
			sprintf(m_Status.GetBufferSetLength(64), "Burning (%.2f KBps)",speedKBPS);
		} 
		else {
			m_Status = "Burning (no speed yet) ...";
		}
	}
	else {
		switch (m_Status.GetAt(9)) {
			case '/': m_Status = "Burning .-."; break;
			case '-': m_Status = "Burning .\\."; break;
			case '\\': m_Status = "Burning .|."; break;
			default: m_Status = "Burning ./.";
		}
	}
	UpdateData(false);
}

void CMfctesthweDlg::NotifyFinalizeProgress(int Progress)
{
	// Invoked by the callback when an finalize operation is in progress
	m_Status = "Finalizing ...";
	m_Progress.SetPos(Progress);
	UpdateData(false);
}


void CMfctesthweDlg::OnAbortwriting() 
{

	// Cancel routine
	if (m_WriteInProgress)
	{

		if (MessageBox("Do you really want to abort writing ?\n The media will be a coaster...","Warning",MB_YESNO || MB_ICONERROR) == IDOK) {
			m_AbortRequested = TRUE;
			Hwe_AbortWrite(m_Hwe);
		}
	}
	
}

void CMfctesthweDlg::OnClose() 
{
	// Just to avoid an app. close during burn operation.
	if (m_WriteInProgress) {
		if (MessageBox("Writing is in progress, do you really want to abort ?","Warning",MB_YESNO || MB_ICONEXCLAMATION) == IDOK) {
			CDialog::OnClose();
		}
	} else {
		CDialog::OnClose();
	}
}

void CMfctesthweDlg::OnBtopentray() 
{
	Hwe_OpenTray(m_Hwe);
	
}

void CMfctesthweDlg::OnBtclosetray() 
{
	Hwe_CloseTray(m_Hwe);
	
}

void CMfctesthweDlg::RefreshSpeedList()
{
	int speeds[50];
	float rates[50]; // 32 bits float
	int i,have_rates;
	char tmp2[256];

	

	m_SpeedList.Clear();
	
	if (Hwe_GetWriteSpeeds(m_Hwe, (int*)&speeds, 50)) {
		have_rates = Hwe_GetMediaWriteSpeeds(m_Hwe, (float*)&rates, 50);

		for (i=0; (i < 50) && (speeds[i] != 0); i++) {
			if (have_rates) {
				// The first entry is the recommended speed setting. Other entries are provided from faster to slower
				sprintf(tmp2,"x %.1f",rates[i]);
			} else {
				sprintf(tmp2,"%d Kbps",speeds[i]);
			}
			if (i==0)
				strncat(tmp2," - Recommended",256);
			m_SpeedList.AddString(tmp2);
			// to remember the speed value returned
			m_SpeedList.SetItemData(i,speeds[i]);
		}
	} else {
	}

	m_SpeedList.InsertString(0, "Max");
	m_SpeedList.SetItemData(0,0xFFFF);
	m_SpeedList.SetCurSel(0);


}



char* CMfctesthweDlg::SimpleDvdSpeed(int valuekbps, char *result)
{

	/* possible value / KBPS@1352 / KBPS@1385 / zone boundary are 
		0.5		676		692.5		1022.25	
		1.0		1352	1385		1706.5
		1.5		2028	2077.5		2390.75
		2.0		2704	2770		3007.4
		2.4		3244.8	3324		4366
		4.0		5408	5540		6150
		5.0		6760	6925		7518.5
		6.0		8112	8310		9563
		8.0		10816	11080		12300
		10.0	13520	13850		15037
		12.0	16224	16620		19126
		16.0	21632	22160		24060
		20.0	27040	27700		30074
		24.0	32448	33240		
	*/
	double v;
	if (valuekbps < 1023) {
		v = 0.5;
	} else 
	if (valuekbps < 1707) {
		v = 1.0;
	} else 
	if (valuekbps < 2391) {
		v = 1.5;
	} else 
	if (valuekbps < 3008) {
		v = 2.0;
	} else 
	if (valuekbps < 4367) {
		v = 2.4;
	} else 
	if (valuekbps < 6151) {
		v = 4.0;
	} else 
	if (valuekbps < 7519) {
		v = 5.0;
	} else 
	if (valuekbps < 9564) {
		v = 6.0;
	} else 
	if (valuekbps < 12301) {
		v = 8.0;
	} else 
	if (valuekbps < 15038) {
		v = 10.0;
	} else 
	if (valuekbps < 19127) {
		v = 12.0;
	} else 
	if (valuekbps < 24060) {
		v = 16.0;
	} else 
	if (valuekbps < 30074) {
		v = 20.0;
	} else {
		v = 24.0;
	} 

	if (valuekbps >= 0xFFFF) {
		strcpy(result, "Max");
	} else 
		sprintf(result,"x%.1f (%d KB/s) - Ref x1 = %.1f", v, valuekbps, valuekbps / v);


	return result;

}

void CMfctesthweDlg::Onwriteiso() 
{
	CString strPostFix(".ISO;*.IMG");
	CString strFileList("ISO images (*.ISO)|*.ISO|Alcohol images (*.IMG)|*.IMG|All Files (*.*)|*.*||");
	CString PathName;

	CFileDialog open_file_dlg( TRUE, strPostFix.LockBuffer(), NULL, 
		OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		strFileList.LockBuffer(), this);
	
	strFileList.UnlockBuffer();
	
	// Ask the user to select an IFO file
	switch(open_file_dlg.DoModal())
	{
	case IDOK:
		{
			// Set the progress bar to 0xFFFF max - every operation is 100 when the progress = 0xFFFF
			m_Progress.SetRange32(0,0xFFFF);
			m_Progress.SetPos(0);
			m_WriteInProgress = TRUE;
			PathName = open_file_dlg.GetPathName();

			// Update buttons statuses
			UpdateButtons(false);
			clearBurnProgressIntf();

			Hwe_SetStrictMediaEnforcment(m_Hwe,m_StrictMediaCheck);
			// Set the required writing speed
			Hwe_SetWriteSpeed(m_Hwe,(int)m_SpeedList.GetItemData(m_SpeedList.GetCurSel()));

			if (m_RealtimeSpeed) {
				Hwe_GetProgressInterface(m_Hwe, &m_BurnProgress);
			}
			// Start the video DVD writing process - This call is asynchronous (it return immediately)
			Hwe_StartIsoWriting(m_Hwe,PathName.LockBuffer());
			PathName.UnlockBuffer();

		}
		break;
	case IDCANCEL:
		{
		}
	default:
		break;	
	}
	
}

BOOL CMfctesthweDlg::OnWndMsg( UINT message, WPARAM wParam, LPARAM lParam, LRESULT* pResult ) {
	char* tmp;
	// We handle here log messages coming from another thread, and sent safely to the main thread
	if (message == WM_SEND_LOG) {
		*pResult = 0;
		tmp = (char*)wParam;
		m_List.InsertString(0,tmp);
		UpdateData(FALSE);
		free( tmp);
		return TRUE;
	} else  {
		return CDialog::OnWndMsg(message,wParam,lParam, pResult);
	}

}


void CMfctesthweDlg::EnumDevices()
{
	int index, i,n;
	CString Tmp,curSel;
	UpdateData(true);
	// Get the number of writers (CD or DVD writers)
	n = Hwe_GetDvdWritersCount(m_Hwe);
	if (m_nWriterCount == n) return;
	index = m_DriveList.GetCurSel();
	if (index >= 0)
		m_DriveList.GetLBText(index, curSel);
	m_DriveList.ResetContent();
	Tmp.Format("Number of DVD writers found %d\n",n);
	m_List.InsertString(0,Tmp);

	// Display the name of each writer, and update a Combobox with the writer's names
	m_nWriterCount = n;
	for (i=0;i<m_nWriterCount;i++) {
					
		Hwe_GetDvdWriterName( m_Hwe, i, Tmp.GetBuffer(MAX_PATH), MAX_PATH );
		Tmp.ReleaseBuffer();
		m_List.InsertString(0,Tmp);
		m_DriveList.AddString(Tmp);
					
	}
	if (index >= 0) {
		m_DriveList.SelectString(0, curSel);
	}
}

class CVSOBurningAPIDataReaderTest : public IVSOBurningAPIDataReader {
protected:
	long m_lRef;
	const long nb_sectors = 2000000;

public:
	HRESULT __stdcall QueryInterface(REFIID riid, __out void **ppv) {
		HRESULT rc = S_OK;
		*ppv = NULL;

		//  Multiple inheritance requires an explicit cast
		if (riid == IID_IUnknown) *ppv = (IVSOBurningAPIDataReader*)this;
		else if (riid == IID_IVSOBurningAPIDataReader)      *ppv = (IVSOBurningAPIDataReader*)this;
		else rc = E_NOINTERFACE;

		//Return a pointer to the new interface and thus call AddRef() for the new index
		if (rc == S_OK) this->AddRef();
		return rc;
	};
	ULONG __stdcall AddRef() { 
		InterlockedIncrement(&m_lRef);
		return m_lRef;
	};
	ULONG __stdcall Release() { 
		ULONG ulRefCount = InterlockedDecrement(&m_lRef);
		if (0 == m_lRef)
		{
			delete this;
		}
		return ulRefCount;

	};

	// *** IVSOBurningAPIDataReader ***
	/*
	  GetTotalSectorCount - Get the size of the data to be written, in number of sectors. this is called once when initializing writer

	  Parameters:
	  none

	  return: The total number of sectors to be written to the device. Each sector is 2048 Bytes
	*/
	ULONG __stdcall GetTotalSectorCount() {
		return nb_sectors;
		 
	};

	/*
	  readData - read binary data

	  Parameters:
		pData - pointer to data buffer
		sector_count - number of sectors
		sector_index - current index of sector to write
		last - if set to TRUE, the read process will stop considering all the data has been received

	  return: none
	*/
	void __stdcall readData(void * pData, int sector_count, __int64 sector_index, HWEBOOL *last) {
		// just write zero data in this sample
		memset(pData, 0, sector_count * 2048);
		if (sector_index + sector_count >= nb_sectors) { 
			*last = TRUE;
		} 
		else { 
			*last = FALSE;
		};
	};
};



void CMfctesthweDlg::OnStartwritingstream() 
{
	// TODO: Add your control notification handler code here
	CVSOBurningAPIDataReaderTest *DataProvider;
	IVSOBurningAPIDataReader *IDataProvider;

	if (!Hwe_StartBinaryWriting) {
		m_List.InsertString(0, "Binary writing is available in DLL version 6.0.0.0 or above");
		return;
	}

	// Ask the user to confirm
	switch(MessageBox("This will write 4 Gig. of empty data. Are you sure ?","Confirmation",MB_OKCANCEL | MB_ICONQUESTION))
	{
	case IDOK:
		{
			// Set the progress bar to 0xFFFF max - every operation is 100 when the progress = 0xFFFF
			m_Progress.SetRange32(0,0xFFFF);
			m_Progress.SetPos(0);
			m_WriteInProgress = TRUE;
			clearBurnProgressIntf();

			// Update buttons statuses
			UpdateButtons(false);

			Hwe_SetStrictMediaEnforcment(m_Hwe,m_StrictMediaCheck);
			// Set the required writing speed
			Hwe_SetWriteSpeed(m_Hwe,(int)m_SpeedList.GetItemData(m_SpeedList.GetCurSel()));
			m_AbortRequested = FALSE;

			DataProvider = new CVSOBurningAPIDataReaderTest();
			if (DataProvider->QueryInterface(IID_IVSOBurningAPIDataReader, (void**)&IDataProvider) == S_OK) {
				if (m_RealtimeSpeed) {
					Hwe_GetProgressInterface(m_Hwe, &m_BurnProgress);
				}
				Hwe_StartBinaryWriting(m_Hwe, IDataProvider);
			}
			else {
				delete DataProvider;
			}
		}
		break;
	case IDCANCEL:
		{
		}
	default:
		break;	
	}

}

void CMfctesthweDlg::OnPollmedia() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	Hwe_SetEnablePolling(m_Hwe,m_PollMedia);
	if (m_PollMedia) {
		m_List.InsertString(0,"Media poll is enabled. Client will be notified for each writable media insertion/removal");

	} else {
		m_List.InsertString(0,"Media poll is disabled. Client will NOT be notified for each writable media insertion/removal");
	}
}



void CMfctesthweDlg::OnSendstats() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	Hwe_SetSendWebStats(m_Hwe,m_PollMedia);
	
}

void CMfctesthweDlg::OnBnClickedDonteject()
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	Hwe_SetDontAutoEject(m_Hwe,m_DontEjectAtCompletion);
}

void CMfctesthweDlg::OnSelchangeCbwriteaffinity() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	Hwe_SetDVDRWritingModeAffinity(m_Hwe,m_Write_Affinity);
}

void CMfctesthweDlg::OnBnClickedCwritedata()
{
	CString PathName;
	char path[MAX_PATH];
	char *filepart;
	
	CFileDialog open_file_dlg( TRUE, NULL, NULL ,
		OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		NULL, this);
	// Select any file, the containing folder and subfolders will be burned
	switch(open_file_dlg.DoModal())
	{
	case IDOK:
		{
			// Set the progress bar to 0xFFFF max - every operation is 100 when the progress = 0xFFFF
			m_Progress.SetRange32(0,0xFFFF);
			m_Progress.SetPos(0);
			m_WriteInProgress = TRUE;
			PathName = open_file_dlg.GetPathName();
			// Get the folder name only
			GetFullPathName(PathName,MAX_PATH,path, &filepart);
			filepart--;
			filepart[0] = '\0';

			UpdateButtons(FALSE);
			clearBurnProgressIntf();

			Hwe_SetStrictMediaEnforcment(m_Hwe,m_StrictMediaCheck);
			// Set the required writing speed
			Hwe_SetWriteSpeed(m_Hwe,(int)m_SpeedList.GetItemData(m_SpeedList.GetCurSel()));

			if (m_RealtimeSpeed) {
				Hwe_GetProgressInterface(m_Hwe, &m_BurnProgress);
			}
			Hwe_StartDataWriting(m_Hwe,path,"VolumeName");


		}
		break;
	case IDCANCEL:
		{
		}
	default:
		break;	
	}
}

void CMfctesthweDlg::OnBnClickedCwritebdv()
{
	CString strPostFix(".bdmv");
	CString strFileList("BDMV files (*.bdmv)|*.bdmv|All Files (*.*)|*.*||");
	CString PathName;
	char path[MAX_PATH];
	char *filepart, *VideoTsPart;
	
	CFileDialog open_file_dlg( TRUE, strPostFix.LockBuffer(), NULL ,
		OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		strFileList.LockBuffer(), this);
	
	strFileList.ReleaseBuffer();
	strPostFix.ReleaseBuffer();
	// File to select can be index.bdmv
	switch(open_file_dlg.DoModal())
	{
	case IDOK:
		{
			// Set the progress bar to 0xFFFF max - every operation is 100 when the progress = 0xFFFF
			m_Progress.SetRange32(0,0xFFFF);
			m_Progress.SetPos(0);
			m_WriteInProgress = TRUE;
			PathName = open_file_dlg.GetPathName();
			// Get the folder name only
			GetFullPathName(PathName,MAX_PATH,path, &filepart);
			filepart--;
			filepart[0] = '\0';
			// If the folder name contains "BDMV", go down to 1 folder. 
			VideoTsPart = strstr(path,"BDMV");
			if (VideoTsPart) {
				VideoTsPart--;
				VideoTsPart[0] = '\0';
			}

			// If the folder name contains "BDAV", go down to 1 folder. 
			VideoTsPart = strstr(path,"BDAV");
			if (VideoTsPart) {
				VideoTsPart--;
				VideoTsPart[0] = '\0';
			}

			UpdateButtons(FALSE);
			clearBurnProgressIntf();

			Hwe_SetStrictMediaEnforcment(m_Hwe,m_StrictMediaCheck);
			// Set the required writing speed
			Hwe_SetWriteSpeed(m_Hwe,(int)m_SpeedList.GetItemData(m_SpeedList.GetCurSel()));
			if (m_RealtimeSpeed) {
				Hwe_GetProgressInterface(m_Hwe, &m_BurnProgress);
			}
			Hwe_StartBdvWriting(m_Hwe,path,"VolumeName");


		}
		break;
	case IDCANCEL:
		{
		}
	default:
		break;	
	}
}

// Update all the form's control disable state during or outside write operation
void CMfctesthweDlg::UpdateButtons(bool Allowed)
{
	bool bDriveSelected = !m_WriteInProgress && (m_DriveList.GetCurSel() >= 0);

	m_BtStartStream.EnableWindow(Allowed);
	m_BtWriteIso.EnableWindow(Allowed);
	m_BtStart.EnableWindow(Allowed);
	m_BtAbort.EnableWindow(m_WriteInProgress);
	m_BtOpenTray.EnableWindow(bDriveSelected);
	m_BtCloseTray.EnableWindow(bDriveSelected);
	m_WriteData.EnableWindow(Allowed);
	m_WriteBDV.EnableWindow(Allowed);
	m_DriveList.EnableWindow(TRUE);
	m_SpeedList.EnableWindow(Allowed);
}


void CMfctesthweDlg::OnBnClickedCsetisopath()
{
	// TODO: Add your control notification handler code here
	CString strPostFix(".ISO");
	CString strFileList("ISO - Generate a complete ISO image (*.ISO)|*.ISO|FSO - Generate FileSystem Only (*.FSO)|*.FSO|All Files (*.*)|*.*||");
	CString PathName;
	
	CFileDialog open_file_dlg( FALSE, strPostFix.LockBuffer(), NULL, 
		OFN_OVERWRITEPROMPT | OFN_ENABLESIZING | OFN_LONGNAMES ,
		strFileList.LockBuffer(), this);
	
	strFileList.UnlockBuffer();
	
	// Ask the user to select an IFO file
	switch(open_file_dlg.DoModal())
	{
	case IDOK:
    	{
			PathName = open_file_dlg.GetPathName();
			Hwe_SetIsoPath(m_Hwe,PathName.LockBuffer());
			PathName.UnlockBuffer();
		}
		break;
	default:
		break;	
	}
	
}


void CMfctesthweDlg::OnBnClickedLogdiscdetection()
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	if (Hwe_SetLogDiscDetectionStatus)
	  Hwe_SetLogDiscDetectionStatus(m_Hwe,m_LogDiscDetection);
	if (m_LogDiscDetection) {
		m_List.InsertString(0,"Disc detection logging is enabled. Client will receive through log all disc detection changes");

	} else {
		m_List.InsertString(0,"Disc detection logging is disabled. Log will not display disc detection changes");
	}

}

void CMfctesthweDlg::OnBnClickedDataCallback()
{
	// TODO: ajoutez ici le code de votre gestionnaire de notification de contrle
	UpdateData(TRUE);
	if (Hwe_SetDataCallback) {

		if (m_DataCallback) {
			if (Hwe_SetDataCallback(m_Hwe,DataCallback,this)) {
				m_List.InsertString(0,"Data callback installed. Sector 0 offset 0 will be patched with \"hello world\"");
			} else {
				m_List.InsertString(0,"Data callback failed to install, because burn is in progress");
			}
		} else {
			if (Hwe_SetDataCallback(m_Hwe,NULL,NULL)) {
				m_List.InsertString(0,"Data callback removed.");
			} else {
				m_List.InsertString(0,"Data callback failed to remove, because burn is in progress");
			}
		}
	} else {
		m_List.InsertString(0,"Data callback are implemented in DLL version 4.0.18.485 or above. Please update");
	}
}


void CMfctesthweDlg::OnBnClickedCkinstantspeed()
{
	// TODO: ajoutez ici le code de votre gestionnaire de notification de contrle
	UpdateData(TRUE);

	if (m_RealtimeSpeed) {
		if (!Hwe_GetProgressInterface) {
			m_List.InsertString(0, "Real time progress interface is available from DLL version 6.0.0.0 or above.");
			m_RealtimeSpeed = false;
			UpdateData(FALSE);
		}
	}
}
